<html ng-app="app">
<head>
    <meta charset="UTF-8">
    <title> Templates Lesson 3 || Angular Training</title>

    <!-- Put Some Style Dude -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.6.1/css/bulma.min.css" />
</head>
<body class="section" ng-controller="BaseController">

    <!-- Angular Template -->
    <div class="card is-primary" ng-controller="MainController">
        <div class="card-header">
            <p class="card-header-title">Controllers</p>
        </div>

        <!-- Update Message Form --> 
        <div class="card-content">
            <h1 class="title is-3">{{ message }}</h1>

            <form class="form" ng-submit="update( newMessage )">
                <!-- New Message -->
                <div class="field">
                    <input type="text" class="input is-dark" ng-model="newMessage" ng-disabled="isBusy" required>
                </div>

                <button class="button is-dark is-outlined" ng-class="{'is-loading': isBusy}" ng-disabled="isBusy">Update Message</button>
            </form>
        </div>
        <!-- Do Some Magic -->
    </div>

    <!-- Very Slick Alerts that replaces browser alerts. A little feedback when a user submits the form  -->
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.6.5/angular.js"></script>
    <script src="js/app-2.js"></script>
</body>
</html>
